> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raydium.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取交易历史

> 检索单笔交易。限制范围：1-100（默认 50）。



## OpenAPI

````yaml /zh/api-reference/openapi/launch-history-v1.yaml get /trade
openapi: 3.0.3
info:
  title: Raydium LaunchLab 历史数据 API
  description: 提供 LaunchLab 池的历史交易数据。包括 1 分钟、5 分钟和 15 分钟的 kline（蜡烛图）数据，以及单笔交易历史。
  version: 1.0.0
servers:
  - url: https://launch-history-v1.raydium.io
    description: Mainnet
  - url: https://launch-history-v1-devnet.raydium.io
    description: Devnet
security: []
tags:
  - name: Candle Data
    description: OHLC 蜡烛图数据
  - name: Trades
    description: 单笔交易历史
  - name: Utilities
    description: 健康检查
paths:
  /trade:
    get:
      tags:
        - Trades
      summary: 获取交易历史
      description: 检索单笔交易。限制范围：1-100（默认 50）。
      operationId: getTrade
      parameters:
        - name: poolId
          in: query
          required: true
          schema:
            type: string
        - name: limit
          in: query
          schema:
            type: integer
            default: 50
            minimum: 1
            maximum: 100
        - name: nextPageKey
          in: query
          schema:
            type: string
        - name: owner
          in: query
          schema:
            type: string
          description: 按交易者钱包筛选
        - name: minAmount
          in: query
          schema:
            type: number
        - name: maxAmount
          in: query
          schema:
            type: number
      responses:
        '200':
          description: 带分页的交易历史

````